Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface KernelMBean

All Known Subinterfaces:
  ServerMBean

public interface KernelMBean
extends ConfigurationMBean

This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.

`ServerMBean` extends this bean to represent the configuration of a server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `STDOUT_NOID` Format of messages logged to the console in WLS 6.
`static java.lang.String` | `STDOUT_STANDARD` Default format of messages logged to the console

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getCompleteCOMMessageTimeout()` Deprecated.
`int` | `getCompleteHTTPMessageTimeout()` Deprecated.
`int` | `getCompleteIIOPMessageTimeout()` Deprecated.
`int` | `getCompleteMessageTimeout()` The maximum number of seconds that this server waits for a complete message to be received.
`int` | `getCompleteT3MessageTimeout()` Deprecated.
`java.lang.String` | `getDefaultProtocol()` Returns the protocol to be used for connections when none is specified.
`java.lang.String` | `getDefaultSecureProtocol()` Returns the protocol to be used for secure connections when none is specified.
`ExecuteQueueMBean[]` | `getExecuteQueues()` Returns the execute queues configured for this server.
`int` | `getIdleConnectionTimeout()` The maximum number of seconds that a connection is allowed to be idle before it is closed by the server.
`int` | `getIdleIIOPConnectionTimeout()` Deprecated.
`IIOPMBean` | `getIIOP()` Returns the kernel's IIOP configuration.
`LogMBean` | `getLog()` Returns the Log settings for this Kernel.
`int` | `getMaxCOMMessageSize()` Deprecated.
`int` | `getMaxHTTPMessageSize()` Deprecated.
`int` | `getMaxIIOPMessageSize()` Deprecated.
`int` | `getMaxMessageSize()` The maximum message size allowable in a message header.
`int` | `getMaxOpenSockCount()` Returns the maximum number of open sockets allowed in server at a given point of time.
`int` | `getMaxT3MessageSize()` Deprecated.
`int` | `getMTUSize()` Returns the size of the MTU of the NIC.
`java.lang.String` | `getMuxerClass()` Returns the muxer class name
`int` | `getSocketReaders()` Returns the number of socket reader threads
`SSLMBean` | `getSSL()` Returns the kernel's SSL configuration.
`java.lang.String` | `getStdoutFormat()` The output format to use when logging to the console.
`int` | `getStdoutSeverityLevel()` The minimum severity of a message that the server sends to standard out.
`int` | `getStuckThreadMaxTime()` Returns the time that is used to determine when a thread might be stuck.
`int` | `getStuckThreadTimerInterval()` Returns the time interval that is used to scan the state of the running threads.
`int` | `getThreadPoolPercentSocketReaders()` Returns the percentage (1-99) of execute threads from the default queue hat may be used as socket readers.
`boolean` | `isInstrumentStackTraceEnabled()` Determines whether the server returns stack traces for RMI calls that generate exceptions when interoperating with a client from a release prior to WebLogic 8.1.
`boolean` | `isLogRemoteExceptionsEnabled()` Determines whether the server message log includes exceptions that are raised in remote systems.
`boolean` | `isNativeIOEnabled()` Whether or not native I/O is enabled for the server.
`boolean` | `isReverseDNSAllowed()` Returns whether or not the kernel is allowed to perform reverse DNS lookups.
`boolean` | `isSocketBufferSizeAsChunkSize()` Specifies whether the server's buffer size for sending or receiving data through a raw socket should be set to 4KB.
`boolean` | `isStdoutDebugEnabled()` Determines whether the server sends messages of the `DEBUG` severity to standard out in addition to the log file.
`boolean` | `isStdoutEnabled()` Enables the server to send messages to standard out in addition to the log file.
`boolean` | `isStdoutLogStack()` Whether to dump stack traces to the console when included in logged message.
`void` | `setCompleteCOMMessageTimeout(int seconds)` Sets the completeCOMMessageTimeout attribute of the KernelMBean object
`void` | `setCompleteHTTPMessageTimeout(int seconds)` Sets the completeHTTPMessageTimeout attribute of the KernelMBean object
`void` | `setCompleteIIOPMessageTimeout(int seconds)` Sets the completeIIOPMessageTimeout attribute of the KernelMBean object
`void` | `setCompleteMessageTimeout(int seconds)` Sets the completeMessageTimeout attribute of the KernelMBean object
`void` | `setCompleteT3MessageTimeout(int seconds)` Sets the completeT3MessageTimeout attribute of the KernelMBean object
`void` | `setDefaultProtocol(java.lang.String protocol)` Sets the protocol to be used for connections when none is specified.
`void` | `setDefaultSecureProtocol(java.lang.String protocol)` Sets the protocol to be used for secure connections when none is specified.
`void` | `setDGCIdlePeriodsUntilTimeout(int periods)` Sets the dGCIdlePeriodsUntilTimeout attribute of the KernelMBean object
`void` | `setIdleConnectionTimeout(int seconds)` Sets the idleConnectionTimeout attribute of the KernelMBean object
`void` | `setIdleIIOPConnectionTimeout(int seconds)` Sets the idleIIOPConnectionTimeout attribute of the KernelMBean object
`void` | `setIIOPLocationForwardPolicy(java.lang.String policy)` Sets the iIOPLocationForwardPolicy attribute of the KernelMBean object
`void` | `setIIOPTxMechanism(java.lang.String mech)` Sets the iIOPTxMechanism attribute of the KernelMBean object
`void` | `setInstrumentStackTraceEnabled(boolean enable)` Sets the instrumentStackTraceEnabled attribute of the KernelMBean object
`void` | `setLogRemoteExceptionsEnabled(boolean enable)` Sets the logRemoteExceptionsEnabled attribute of the KernelMBean object
`void` | `setMaxCOMMessageSize(int maxsize)` Sets the maxCOMMessageSize attribute of the KernelMBean object.
`void` | `setMaxHTTPMessageSize(int maxsize)` Sets the maxHTTPMessageSize attribute of the KernelMBean object.
`void` | `setMaxIIOPMessageSize(int maxsize)` Sets the maxIIOPMessageSize attribute of the KernelMBean object
`void` | `setMaxMessageSize(int maxsize)` Sets the maxMessageSize attribute of the KernelMBean object
`void` | `setMaxOpenSockCount(int sockCount)` sets the maximum number of open sockets allowed in server at a given point of time.
`void` | `setMaxT3MessageSize(int maxsize)` Sets the maxT3MessageSize attribute of the KernelMBean object.
`void` | `setMTUSize(int size)` Returns the size of the MTU of the NIC.
`void` | `setMuxerClass(java.lang.String name)` Sets the muxer class name
`void` | `setNativeIOEnabled(boolean enable)` Sets whether or not native I/O should be enabled.
`void` | `setReverseDNSAllowed(boolean flag)` Sets whether or not a Kernel is allowed to perform reverse DNS lookups.
`void` | `setSocketBufferSizeAsChunkSize(boolean flag)` Sets the value of the SocketBuffersSizeAsChunkSize attribute.
`void` | `setSocketReaders(int numReaders)` Sets the number of socket reader threads
`void` | `setStdoutDebugEnabled(boolean enable)` Sets the stdoutDebugEnabled attribute of the KernelMBean object
`void` | `setStdoutEnabled(boolean enable)` Sets the stdoutEnabled attribute of the KernelMBean object
`void` | `setStdoutFormat(java.lang.String format)` Sets the stdoutFormat attribute of the KernelMBean object
`void` | `setStdoutLogStack(boolean stack)` Sets the stdoutLogStack attribute of the KernelMBean object
`void` | `setStdoutSeverityLevel(int severityLevel)` Sets the stdoutSeverityLevel attribute of the KernelMBean object
`void` | `setStuckThreadMaxTime(int seconds)` Sets the stuckThreadMaxTime attribute of the KernelMBean object
`void` | `setStuckThreadTimerInterval(int seconds)` Sets the stuckThreadTimerInterval attribute of the KernelMBean object
`void` | `setThreadPoolPercentSocketReaders(int percent)` Sets the percentage (1-99) of execute threads from the default queue that may be used as socket readers.
`void` | `setUseIIOPLocateRequest(boolean locate)` Sets the useIIOPLocateRequest attribute of the KernelMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### STDOUT_STANDARD

    public static final java.lang.String STDOUT_STANDARD

  Default format of messages logged to the console

### STDOUT_NOID

    public static final java.lang.String STDOUT_NOID

  Format of messages logged to the console in WLS 6. Does not include message id in output.

Method Detail

### isReverseDNSAllowed

    public boolean isReverseDNSAllowed()

  Returns whether or not the kernel is allowed to perform reverse DNS lookups.

  A configurable MBean attribute
  Default Value: false
  Old Property: weblogic.system.enableReverseDNSLookups
  Returns:
    The reverseDNSAllowed value

### setReverseDNSAllowed

    public void setReverseDNSAllowed(boolean flag)
                              throws DistributedManagementException

  Sets whether or not a Kernel is allowed to perform reverse DNS lookups.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: false
  Parameters:
    `flag` - The new reverseDNSAllowed value
  Throws:
    DistributedManagementException -

### getDefaultProtocol

    public java.lang.String getDefaultProtocol()

  Returns the protocol to be used for connections when none is specified.

  A configurable MBean attribute
  Default Value: "t3"
  Old Property: weblogic.system.defaultProtocol
  Legal Values: "t3","t3s","http","https","iiop"
  Returns:
    The defaultProtocol value

### setDefaultProtocol

    public void setDefaultProtocol(java.lang.String protocol)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the protocol to be used for connections when none is specified.

  Parameters:
    `protocol` - The new defaultProtocol value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the protocol is not supported by this kernel.
  See Also:
    `getDefaultProtocol()`

### getDefaultSecureProtocol

    public java.lang.String getDefaultSecureProtocol()

  Returns the protocol to be used for secure connections when none is specified.

  A configurable MBean attribute
  Default Value: "t3s"
  Old Property: weblogic.system.defaultSecureProtocol
  Legal Values: "t3s","https"
  Returns:
    The defaultSecureProtocol value

### setDefaultSecureProtocol

    public void setDefaultSecureProtocol(java.lang.String protocol)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the protocol to be used for secure connections when none is specified.

  Parameters:
    `protocol` - The new defaultSecureProtocol value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the protocol is not supported by this kernel.
  See Also:
    `getDefaultSecureProtocol()`

### isNativeIOEnabled

    public boolean isNativeIOEnabled()

  Whether or not native I/O is enabled for the server.

  A configurable MBean attribute
  Default Value: true
  Old Property: weblogic.system.nativeIO.enable
  Returns:
    The nativeIOEnabled value
  See Also:
    `getSocketReaderTimeoutMaxMillis()`

### setNativeIOEnabled

    public void setNativeIOEnabled(boolean enable)

  Sets whether or not native I/O should be enabled.

  Parameters:
    `enable` - The new nativeIOEnabled value

### getMuxerClass

    public java.lang.String getMuxerClass()

  Returns the muxer class name

  Returns:
    The muxerClass value

### setMuxerClass

    public void setMuxerClass(java.lang.String name)

  Sets the muxer class name

  Parameters:
    `name` - The new muxerClass value

### getSocketReaders

    public int getSocketReaders()

  Returns the number of socket reader threads

  Returns:
    The number of socket reader threads

### setSocketReaders

    public void setSocketReaders(int numReaders)

  Sets the number of socket reader threads

  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 1) && (value <= 65534)))
  Parameters:
    `numReaders` - The number of socket reader threads

### getThreadPoolPercentSocketReaders

    public int getThreadPoolPercentSocketReaders()

  Returns the percentage (1-99) of execute threads from the default queue hat may be used as socket readers.

  A configurable MBean attribute
  Default Value: 33
  Old Property: weblogic.system.percentSocketReaders
  Returns:
    The threadPoolPercentSocketReaders value

### setThreadPoolPercentSocketReaders

    public void setThreadPoolPercentSocketReaders(int percent)
                                           throws javax.management.InvalidAttributeValueException,
                                                  DistributedManagementException

  Sets the percentage (1-99) of execute threads from the default queue that may be used as socket readers.

  A dynamic MBean attribute
  Legal Minimum Value: 1
  Legal Maximum Value: 99
  Parameters:
    `percent` - The new threadPoolPercentSocketReaders value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getMaxMessageSize

    public int getMaxMessageSize()

  The maximum message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  If you configure a network channel for this server, you can override this `getMaxMessageSize` value and specify a different value for the network channel.

  Each network channel is defined by a separate instance of `NetworkAccessPointMBean`.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Returns:
    The maxMessageSize value

### setMaxMessageSize

    public void setMaxMessageSize(int maxsize)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Sets the maxMessageSize attribute of the KernelMBean object

  Parameters:
    `maxsize` - The new maxMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxT3MessageSize

    public int getMaxT3MessageSize()

  Deprecated.
  Specify the maximum size for an entire T3 message. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribte is not set, the value of maxMessageSize is used. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 4096) && (value <= 2000000000)))
  Returns:
    The maxT3MessageSize value
  See Also:
    `NetworkChannelMBean.getMaxT3MessageSize()`

### setMaxT3MessageSize

    public void setMaxT3MessageSize(int maxsize)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Sets the maxT3MessageSize attribute of the KernelMBean object.

  Secure Value: 10000000
  Parameters:
    `maxsize` - The new maxT3MessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setSocketBufferSizeAsChunkSize

    public void setSocketBufferSizeAsChunkSize(boolean flag)
                                        throws DistributedManagementException

  Sets the value of the SocketBuffersSizeAsChunkSize attribute.

  Parameters:
    `flag` - The new SocketBufferSizeToChunkSize value
  Throws:
    DistributedManagementException -
  See Also:
    `isSocketBufferSizeAsChunkSize()`

### isSocketBufferSizeAsChunkSize

    public boolean isSocketBufferSizeAsChunkSize()

  Specifies whether the server's buffer size for sending or receiving data through a raw socket should be set to 4KB. Otherwise, the server does not impose a limit to the buffer size and defers to the operating system. This option is useful only on some operating systems for improving performance. It should be disabled in most environments.

  A configurable MBean attribute
  Default Value: false
  Returns:
    The SocketBufferSizeAsChunkSize value

### getMaxHTTPMessageSize

    public int getMaxHTTPMessageSize()

  Deprecated.
  Specify the maximum HTTP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribte is not set, the value of maxMessageSize is used. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 4096) && (value <= 2000000000)))
  Returns:
    The maxHTTPMessageSize value
  See Also:
    `NetworkChannelMBean.getMaxHTTPMessageSize()`

### setMaxHTTPMessageSize

    public void setMaxHTTPMessageSize(int maxsize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the maxHTTPMessageSize attribute of the KernelMBean object.

  Secure Value: 10000000
  Parameters:
    `maxsize` - The new maxHTTPMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxCOMMessageSize

    public int getMaxCOMMessageSize()

  Deprecated.
  Specify the maximum size of an entire COM message. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribte is not set, the value of maxMessageSize is used. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 4096) && (value <= 2000000000)))
  Returns:
    The maxCOMMessageSize value
  See Also:
    `NetworkChannelMBean.getMaxCOMMessageSize()`

### setMaxCOMMessageSize

    public void setMaxCOMMessageSize(int maxsize)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Sets the maxCOMMessageSize attribute of the KernelMBean object.

  Secure Value: 10000000
  Parameters:
    `maxsize` - The new maxCOMMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxIIOPMessageSize

    public int getMaxIIOPMessageSize()

  Deprecated.
  Specify the maximum size for an entire IIOP message. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 4096) && (value <= 2000000000)))
  Returns:
    The maxIIOPMessageSize value

### setMaxIIOPMessageSize

    public void setMaxIIOPMessageSize(int maxsize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the maxIIOPMessageSize attribute of the KernelMBean object

  Secure Value: 10000000
  Parameters:
    `maxsize` - The new maxIIOPMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setUseIIOPLocateRequest

    public void setUseIIOPLocateRequest(boolean locate)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  Sets the useIIOPLocateRequest attribute of the KernelMBean object

  Parameters:
    `locate` - The new useIIOPLocateRequest value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setIIOPTxMechanism

    public void setIIOPTxMechanism(java.lang.String mech)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the iIOPTxMechanism attribute of the KernelMBean object

  Parameters:
    `mech` - The new iIOPTxMechanism value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setIIOPLocationForwardPolicy

    public void setIIOPLocationForwardPolicy(java.lang.String policy)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the iIOPLocationForwardPolicy attribute of the KernelMBean object

  Parameters:
    `policy` - The new iIOPLocationForwardPolicy value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteMessageTimeout

    public int getCompleteMessageTimeout()

  The maximum number of seconds that this server waits for a complete message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that it will be sending a message of a certain size which it never finishes sending.

  If you configure a network channel for this server, you can override this `getCompleteMessageTimeout` value and specify a different value for the network channel.

  Each network channel is defined by a separate instance of `NetworkAccessPointMBean`.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Returns:
    The completeMessageTimeout value
  See Also:
    `NetworkAccessPointMBean.getCompleteMessageTimeout()`

### setCompleteMessageTimeout

    public void setCompleteMessageTimeout(int seconds)
                                   throws javax.management.InvalidAttributeValueException,
                                          DistributedManagementException

  Sets the completeMessageTimeout attribute of the KernelMBean object

  Parameters:
    `seconds` - The new completeMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteT3MessageTimeout

    public int getCompleteT3MessageTimeout()

  Deprecated.
  Specify the maximum number of seconds spent waiting for a complete T3 message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  Returns:
    The completeT3MessageTimeout value
  See Also:
    `NetworkChannelMBean.getCompleteT3MessageTimeout()`

### setCompleteT3MessageTimeout

    public void setCompleteT3MessageTimeout(int seconds)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Sets the completeT3MessageTimeout attribute of the KernelMBean object

  Secure Value: 60
  Parameters:
    `seconds` - The new completeT3MessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteHTTPMessageTimeout

    public int getCompleteHTTPMessageTimeout()

  Deprecated.
  Specify the maximum number of seconds spent waiting for a complete HTTP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  Returns:
    The completeHTTPMessageTimeout value
  See Also:
    `NetworkChannelMBean.getCompleteHTTPMessageTimeout()`

### setCompleteHTTPMessageTimeout

    public void setCompleteHTTPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Sets the completeHTTPMessageTimeout attribute of the KernelMBean object

  Secure Value: 60
  Parameters:
    `seconds` - The new completeHTTPMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteCOMMessageTimeout

    public int getCompleteCOMMessageTimeout()

  Deprecated.
  Specify the maximum number of seconds spent waiting for a complete COM message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  Returns:
    The completeCOMMessageTimeout value
  See Also:
    `NetworkChannelMBean.getCompleteCOMMessageTimeout()`

### setCompleteCOMMessageTimeout

    public void setCompleteCOMMessageTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the completeCOMMessageTimeout attribute of the KernelMBean object

  Parameters:
    `seconds` - The new completeCOMMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getIdleConnectionTimeout

    public int getIdleConnectionTimeout()

  The maximum number of seconds that a connection is allowed to be idle before it is closed by the server. This attribute helps guard against server deadlock through too many open connections. The T3 and T3S protocols ignore this attribute.

  If you configure a network channel for this server, you can override this `getIdleConnectionTimeout` value and specify a different value for the network channel.

  Each network channel is defined by a separate instance of `NetworkAccessPointMBean`.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 65
  Legal Minimum Value: 0
  Secure Value: 60
  Returns:
    The idleConnectionTimeout value

### setIdleConnectionTimeout

    public void setIdleConnectionTimeout(int seconds)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the idleConnectionTimeout attribute of the KernelMBean object

  Parameters:
    `seconds` - The new idleConnectionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getIdleIIOPConnectionTimeout

    public int getIdleIIOPConnectionTimeout()

  Deprecated.
  Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server. This attribute helps guard against server deadlock through too many open connections.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Returns:
    The idleIIOPConnectionTimeout value

### setIdleIIOPConnectionTimeout

    public void setIdleIIOPConnectionTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the idleIIOPConnectionTimeout attribute of the KernelMBean object

  Secure Value: 60
  Parameters:
    `seconds` - The new idleIIOPConnectionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteIIOPMessageTimeout

    public int getCompleteIIOPMessageTimeout()

  Deprecated.
  Specify the maximum number of seconds spent waiting for a complete IIOP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  Returns:
    The completeIIOPMessageTimeout value

### setCompleteIIOPMessageTimeout

    public void setCompleteIIOPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Sets the completeIIOPMessageTimeout attribute of the KernelMBean object

  Secure Value: 60
  Parameters:
    `seconds` - The new completeIIOPMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setDGCIdlePeriodsUntilTimeout

    public void setDGCIdlePeriodsUntilTimeout(int periods)
                                       throws ConfigurationException

  Sets the dGCIdlePeriodsUntilTimeout attribute of the KernelMBean object

  Parameters:
    `periods` - The new dGCIdlePeriodsUntilTimeout value
  Throws:
    ConfigurationException -

### getSSL

    public SSLMBean getSSL()

  Returns the kernel's SSL configuration. An SSL MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the SSL MBean may be changed, as documented, but the MBean itself may not.

  Returns:
    The sSL value

### getIIOP

    public IIOPMBean getIIOP()

  Returns the kernel's IIOP configuration. An IIOP MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the IIOP MBean may be changed, as documented, but the MBean itself may not.

  Returns:
    The iIOP value

### getLog

    public LogMBean getLog()

  Returns the Log settings for this Kernel. An Log MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the Log MBean may be changed, as documented, but the MBean itself may not.

  Returns:
    The log value

### isStdoutEnabled

    public boolean isStdoutEnabled()

  Enables the server to send messages to standard out in addition to the log file. Use `StdoutDebugEnabled` and `StdoutSeverityLevel` to determine the type of messages that the server sends to standard out.

  A dynamic MBean attribute
  Default Value: true
  Old Property: weblogic.system.enableConsole
  Returns:
    The stdoutEnabled value

### setStdoutEnabled

    public void setStdoutEnabled(boolean enable)
                          throws DistributedManagementException

  Sets the stdoutEnabled attribute of the KernelMBean object

  Parameters:
    `enable` - The new stdoutEnabled value
  Throws:
    DistributedManagementException -

### getStdoutSeverityLevel

    public int getStdoutSeverityLevel()

  The minimum severity of a message that the server sends to standard out. You must enable `Log to Standard Out` for this value to be relevant.

  The ascending order of severities is as follows:

  - `INFO(64)`. Used for reporting normal operations.
  - `WARNING(32)`. A suspicious operation or configuration has occurred but it may not have an impact on normal operation.
  - `ERROR(16)`. A user error has occurred. The system or application is able to handle the error with no interruption, and limited degradation, of service.
  - `NOTICE(8)`. An `INFO` or `WARNING`-level message that is particularly important for monitoring the server. Only WebLogic Server subsystems write messages of this severity type.
  - `CRITICAL(4)`. A system or service error has occurred. The system is able to recover but there might be a momentary loss, or permanent degradation, of service.
  - `ALERT(2)`. A particular service is in an unusable state while other parts of the system continue to function. Automatic recovery is not possible; the immediate attention of the administrator is needed to resolve the problem.
  - `EMERGENCY(1)`. The server is in an unusable state. This severity indicates a severe system failure or panic.

  A dynamic MBean attribute
  Default Value: weblogic.logging.Severities.WARNING
  Legal Values: weblogic.logging.Severities.INFO,weblogic.logging.Severities.WARNING,weblogic.logging.Severities.ERROR,weblogic.logging.Severities.NOTICE,weblogic.logging.Severities.CRITICAL,weblogic.logging.Severities.ALERT,weblogic.logging.Severities.EMERGENCY
  Secure Value: weblogic.logging.Severities.WARNING
  Returns:
    The stdoutSeverityLevel value
  See Also:
    `Severities`

### setStdoutSeverityLevel

    public void setStdoutSeverityLevel(int severityLevel)
                                throws javax.management.InvalidAttributeValueException,
                                       DistributedManagementException

  Sets the stdoutSeverityLevel attribute of the KernelMBean object

  Parameters:
    `severityLevel` - The new stdoutSeverityLevel value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### isStdoutDebugEnabled

    public boolean isStdoutDebugEnabled()

  Determines whether the server sends messages of the `DEBUG` severity to standard out in addition to the log file. You must enable `Log to Standard Out` for this property to be relevant.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: false
  Returns:
    The stdoutDebugEnabled value

### setStdoutDebugEnabled

    public void setStdoutDebugEnabled(boolean enable)
                               throws DistributedManagementException

  Sets the stdoutDebugEnabled attribute of the KernelMBean object

  Parameters:
    `enable` - The new stdoutDebugEnabled value
  Throws:
    DistributedManagementException -

### isLogRemoteExceptionsEnabled

    public boolean isLogRemoteExceptionsEnabled()

  Determines whether the server message log includes exceptions that are raised in remote systems.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: true
  Returns:
    The logRemoteExceptionsEnabled value

### setLogRemoteExceptionsEnabled

    public void setLogRemoteExceptionsEnabled(boolean enable)
                                       throws DistributedManagementException

  Sets the logRemoteExceptionsEnabled attribute of the KernelMBean object

  Parameters:
    `enable` - The new logRemoteExceptionsEnabled value
  Throws:
    DistributedManagementException -

### isInstrumentStackTraceEnabled

    public boolean isInstrumentStackTraceEnabled()

  Determines whether the server returns stack traces for RMI calls that generate exceptions when interoperating with a client from a release prior to WebLogic 8.1.

  With this attribute enabled, if a client issues an RMI call to a server subsystem or to a module running within the server, and if the subsystem or module generates an exception that includes a stack trace, the server will return the exception as well as the stack trace. With this attribute disabled, the server will return the exception without the stack trace details.

  A dynamic MBean attribute
  Default Value: true
  Secure Value: false
  Returns:
    The instrumentStackTraceEnabled value

### setInstrumentStackTraceEnabled

    public void setInstrumentStackTraceEnabled(boolean enable)
                                        throws DistributedManagementException

  Sets the instrumentStackTraceEnabled attribute of the KernelMBean object

  Parameters:
    `enable` - The new instrumentStackTraceEnabled value
  Throws:
    DistributedManagementException -

### getExecuteQueues

    public ExecuteQueueMBean[] getExecuteQueues()

  Returns the execute queues configured for this server.

  A non-configurable MBean attribute.
  Returns:
    The executeQueues value

### getMaxOpenSockCount

    public int getMaxOpenSockCount()

  Returns the maximum number of open sockets allowed in server at a given point of time. When max threshold is reached, server stops accepting any more new requests until no of sockets drops below threshold.

  A configurable MBean attribute
  Default Value: -1
  Old Property: weblogic.system.openSockCount
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Returns:
    The maxOpenSockCount value

### setMaxOpenSockCount

    public void setMaxOpenSockCount(int sockCount)

  sets the maximum number of open sockets allowed in server at a given point of time. When max threshold is reached, server stops accepting any more new requests until no of sockets drops below threshold.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `sockCount` - The new maxOpenSockCount value

### getStdoutFormat

    public java.lang.String getStdoutFormat()

  The output format to use when logging to the console.

  Default Value: STDOUT_STANDARD
  Legal Values: STDOUT_STANDARD,STDOUT_NOID
  Returns:
    The stdoutFormat value

### setStdoutFormat

    public void setStdoutFormat(java.lang.String format)

  Sets the stdoutFormat attribute of the KernelMBean object

  Parameters:
    `format` - The new stdoutFormat value

### isStdoutLogStack

    public boolean isStdoutLogStack()

  Whether to dump stack traces to the console when included in logged message.

  Default Value: true
  Returns:
    The stdoutLogStack value

### setStdoutLogStack

    public void setStdoutLogStack(boolean stack)

  Sets the stdoutLogStack attribute of the KernelMBean object

  A dynamic MBean attribute
  Parameters:
    `stack` - The new stdoutLogStack value

### getStuckThreadMaxTime

    public int getStuckThreadMaxTime()

  Returns the time that is used to determine when a thread might be stuck. If a thread has been working for this time, it might be stuck in some bad state.

  A configurable MBean attribute
  Default Value: 600
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Returns:
    The stuckThreadMaxTime value

### setStuckThreadMaxTime

    public void setStuckThreadMaxTime(int seconds)
                               throws javax.management.InvalidAttributeValueException

  Sets the stuckThreadMaxTime attribute of the KernelMBean object

  Parameters:
    `seconds` - The new stuckThreadMaxTime value
  Throws:
    javax.management.InvalidAttributeValueException -

### getStuckThreadTimerInterval

    public int getStuckThreadTimerInterval()

  Returns the time interval that is used to scan the state of the running threads. This along with StuckThreadMaxTime is used to determine when a thread might be stuck.

  A configurable MBean attribute
  Default Value: 600
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Returns:
    The stuckThreadTimerInterval value

### setStuckThreadTimerInterval

    public void setStuckThreadTimerInterval(int seconds)
                                     throws javax.management.InvalidAttributeValueException

  Sets the stuckThreadTimerInterval attribute of the KernelMBean object

  Parameters:
    `seconds` - The new stuckThreadTimerInterval value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMTUSize

    public int getMTUSize()

  Returns the size of the MTU of the NIC.

  A configurable MBean attribute
  Default Value: "1500"
  Returns:
    The defaultProtocol value

### setMTUSize

    public void setMTUSize(int size)

  Returns the size of the MTU of the NIC.

  A configurable MBean attribute
  Default Value: "1500"
  Returns:
    The defaultProtocol value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD